Bug 466374 - KeyError: 'en_US.UTF-8' at text install
KeyError: 'en_US.UTF-8' at text install
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F10Snap2
  Show dependency treegraph
 
Reported: 2008-10-09 18:03 EDT by John Reiser
Modified: 2008-10-14 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-14 13:03:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2008-10-09 18:03:16 EDT
Description of problem: Text install gets an exception immediately after OKing the welcome screen.  This is a DVD composed by pungi from rawhide of Wed.Oct. 8, with all "# Languages' commented out from /usr/share/pungi/rawhide-fedora.ks.


Version-Release number of selected component (if applicable):
anaconda-11.4.1.44

How reproducible: always


Steps to Reproduce:
1. boot DVD in text mode (add " text" to end of boot command line)
2.
3.
  
Actual results: Text welcome screen shows.  Type <space> to OK.  Exception happens immediately.  Selecting 'Save' gets another immediate exception.
According to vty3, the first exception is:
CRITICAL: anaconda 11.4.1.44 exception report
Traceback (most recent call first);
  File "/usr/lib/python2.5/site-packages/snack.py", line 193, in setCurrent
    self.w.listboxSetCurrent(Self.item2key[item])
  File "/usr/lib/python2.5/site-packages/snack.py", line 791, in ListboxChoiceWindow
    l.setCurrent (default)
  File "/usr/lib/anaconda/textw/language_text.py", line 50, in ___call___
    height = height, help = "lang")
  File "/usr/lib/anaconda/text.py", line 716, in run
    rc = win(self.screen, instance)
  File "/usr/bin/anaconda", line 946, in <module>
    anaconda.intf.run(anaconda)
KeyError: 'en_US.UTF-8'



Expected results: Proceed with install.


Additional info:
Comment 1 John Reiser 2008-10-09 22:21:15 EDT
The error upon selecting Save (in response to the first error) is:
Traceback (most recent call last):
File "/usr/bin/anaconda", line 950, in <module>
  handleException(anaconda, sys.exc_info())
File "/usr/lib/anaconda/exception.py", line 612, in handleException
  run SaveDialog(anaconda, exn)
File "/usr/lib/ananconda/exception.py", line 466, in runSaveDialog
  saveWin.run()
File "/usr/lib/anaconda/text.py", line 252, in run
  toplevel.adD(remoteGrid, 0, 5, (0, 0, 0, 1))
AttributeError: GridForm instance has no attribute 'adD'
install exited abnormally [1/1]
-----
Comment 2 Jeremy Katz 2008-10-09 22:59:23 EDT
The first should be fixed in tomorrow's rawhide; the second will be in anaconda >= 11.4.1.48 (which probably won't make tomorrow's rawhide)
Comment 3 Andy Lindeberg 2008-10-10 13:42:38 EDT
This error is still present in today's rawhide.
Comment 4 Jeremy Katz 2008-10-10 14:00:45 EDT
*sigh*  Fixed with feeling

Note You need to log in before you can comment on or make changes to this bug.